%define upstream_name    XML-Grammar-Vered
%define upstream_version 0.2.1

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A vered by any other name will translate as sweet
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::ShareDir) >= 1.0.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(MooX)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::XML::Ordered)
BuildRequires: perl(XML::GrammarBase::Role::RelaxNG)
BuildRequires: perl(XML::GrammarBase::Role::XSLT)
BuildRequires: perl(autodie)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Vered-XML is a custom (and incredibly ad-hoc) XML grammar, which was
created for the ability to more easily write and maintain the “Perl
Elements to Avoid” page over at the
http://perl-begin.org/tutorials/bad-elements/ manpage . You may find it
suitable, but chances are you won't. If you find it lacking in a certain
respect, you can either send me a diff to the RNG and XSLT (and hopefully
automated tests as well), or file a bug report and I'll see what I can do.

Vered gets translated to DocBook 5/XML, and from there to other formats.

“Vered” is the Hebrew word for “a rose”, and I came up with the name
because I did not know what to call this format, and thought of “a rose by
any other name will smell as sweet”.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Mar 23 2022 umeabot <umeabot> 0.2.1-2.mga9
+ Revision: 1821459
- Mageia 9 Mass Rebuild

* Thu Oct 28 2021 tv <tv> 0.2.1-1.mga9
+ Revision: 1753116
- update to 0.2.1

* Mon Apr 19 2021 tv <tv> 0.0.13-1.mga9
+ Revision: 1716917
- update to 0.0.13

* Thu Jul 02 2020 shlomif <shlomif> 0.0.12-1.mga8
+ Revision: 1601492
- New version 0.0.12

* Sat Feb 15 2020 umeabot <umeabot> 0.0.10-2.mga8
+ Revision: 1526795
- Mageia 8 Mass Rebuild

* Sat Jun 29 2019 shlomif <shlomif> 0.0.10-1.mga8
+ Revision: 1415877
- update to 0.0.10

* Fri Apr 05 2019 shlomif <shlomif> 0.0.9-7.mga7
+ Revision: 1386170
- Rebuild for new libxslt to avoid test failures

* Wed Sep 19 2018 umeabot <umeabot> 0.0.9-6.mga7
+ Revision: 1272765
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.0.9-5.mga6
+ Revision: 1036023
- Rebuild for perl 5.22.2

* Wed Feb 17 2016 umeabot <umeabot> 0.0.9-4.mga6
+ Revision: 963880
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.0.9-3.mga5
+ Revision: 749032
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat May 17 2014 shlomif <shlomif> 0.0.9-1.mga5
+ Revision: 623186
- Add missing BR
- Add missing BRs
- imported package perl-XML-Grammar-Vered


* Sat May 17 2014 cpan2dist 0.0.9-1mga
- initial mageia release, generated with cpan2dist
